Fernando &amp; list members<div><br></div><div><div class="gmail_quote">On Fri, Oct 28, 2011 at 4:27 PM, Fernando Perez <span dir="ltr">&lt;<a href="mailto:fperez.net@gmail.com">fperez.net@gmail.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">Unfortunately, you&#39;re being bitten by a bug in our 0.11 version...<br>
A few days ago I built a Windows binary installer of 0.12 which has<br>
this bug already fixed:<br>
<a href="http://archive.ipython.org/testing/ipython-0.12.dev.win32-setup.exe" target="_blank">http://archive.ipython.org/testing/ipython-0.12.dev.win32-setup.exe</a><br>Let us know if that helps.<br></blockquote><div><br>
</div>The version 0.12 dev Windows installer ran fine. When I tried ipython-qtconsole.exe, it started up and displayed the following, but never came back with the prompt.</div><div class="gmail_quote"><br></div></div><blockquote class="webkit-indent-blockquote" style="margin: 0 0 0 40px; border: none; padding: 0px;">
<div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">Python 2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]</font></div></div></div><div><div class="gmail_quote">
<div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">Type &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information.</font></div></div></div><div><div class="gmail_quote"><div class="gmail_quote">
<font class="Apple-style-span" color="#3333ff"><br></font></div></div></div><div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">IPython 0.12.dev -- An enhanced Interactive Python.</font></div>
</div></div><div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">?         -&gt; Introduction and overview of IPython&#39;s features.</font></div></div></div><div><div class="gmail_quote">
<div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">%quickref -&gt; Quick reference.</font></div></div></div><div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">help      -&gt; Python&#39;s own help system.</font></div>
</div></div><div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">object?   -&gt; Details about &#39;object&#39;, use &#39;object??&#39; for extra details.</font></div></div>
</div><div><div class="gmail_quote"><div class="gmail_quote"><font class="Apple-style-span" color="#3333ff">%guiref   -&gt; A brief reference about the graphical user interface.</font></div></div></div></blockquote><div><div class="gmail_quote">
<br><div> When I start from a command line, I see this:</div></div></div><blockquote class="webkit-indent-blockquote" style="margin: 0 0 0 40px; border: none; padding: 0px;"><div><div class="gmail_quote"><div><div>&gt; <font class="Apple-style-span" color="#cc0000">python.exe ipython-qtconsole-script.pyw</font></div>
</div></div></div><div><div class="gmail_quote"><div><div><font class="Apple-style-span" color="#3333ff">Traceback (most recent call last):</font></div></div></div></div><div><div class="gmail_quote"><div><div><font class="Apple-style-span" color="#3333ff">  File &quot;&lt;string&gt;&quot;, line 1, in &lt;module&gt;</font></div>
</div></div></div><div><div class="gmail_quote"><div><div><font class="Apple-style-span" color="#3333ff">  File &quot;C:\Python27\lib\site-packages\ipython-0.11-py2.7.egg\IPython\zmq\__init__.py&quot;, line 25, in &lt;module&gt;</font></div>
</div></div></div><div><div class="gmail_quote"><div><div><font class="Apple-style-span" color="#3333ff">    minimum_pyzmq_version, pyzmq_version))</font></div></div></div></div><div><div class="gmail_quote"><div><div><font class="Apple-style-span" color="#3333ff">ImportError: IPython.zmq requires pyzmq &gt;= 2.1.4, but you have 2.1.10</font></div>
</div></div></div></blockquote><div><div class="gmail_quote"><div><br></div><div>So, it seems the problem still exists.</div></div></div>